Subject: bug#25976: man page version is outdated in Guix 0.12.0 tarball

From: Mathieu Lirzin <[email-masked]>
Date: Mon, 06 Mar 2017 11:56:52 +0100

[email-masked] (Ludovic Courtès) writes:

> Hi,
>
> Mathieu Lirzin <[email-masked]> skribis:
>
>> Alex Vong <[email-masked]> writes:
>>
>>> The man page version in Guix 0.12.0 tarball[0] is outdated. When running
>>>
>>>     $ man guix
>>>
>>> the name of the man page is
>>>
>>>     guix - manual page for guix 0.11.0
>>>
>>> I think it was forgotten to be updated during the 0.12.0 release.
>>>
>>> [0]: https://alpha.gnu.org/gnu/guix/guix-0.12.0.tar.gz
>>>
>>
>> I think we should add the generated man pages to the
>> MAINTAINERCLEANFILES Automake variable and document the release process
>> in a "README-release" file which should contain running 'make
>> maintainer-clean'.
>
> The process is currently documented here:
>
>   https://git.savannah.gnu.org/cgit/guix/maintenance.git/tree/doc/release.org

Oops I have overlooked that.

> Would it work to have ‘distcheck’ depend on ‘maintainer-clean’?  That
> would be even better.

Unfornately 'maintainer-clean' is removing the current Makefile so it
can't be used as a prerequisite.

I guess we can't do better that just adding a step for 'make
maintainer-clean' before 'make distcheck' in the release documentation.

While reading "doc/release.org" I have realized it doesn't speak about
fetching and committing the latest translations from the Translation Project.

Thanks.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37